Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.util.tokenstream
Class TokenBufferIndexOutOfBoundsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IndexOutOfBoundsException
                      scone.util.tokenstream.TokenBufferIndexOutOfBoundsException

All Implemented Interfaces:
  java.io.Serializable

    public class TokenBufferIndexOutOfBoundsException

extends java.lang.IndexOutOfBoundsException

indicates a TokenBufferIndexOutOfBoundsException

Version:
  1.0
Author:
  Volkert Buchmann (ported from code by Steve Ihde), IBM Almaden Research Center, (c) Copyright IBM Corp 2000
See Also:
  Serialized Form

Constructor Summary
`TokenBufferIndexOutOfBoundsException()` Constructs a new TokenBufferIndexOutOfBoundsException with no message.
`TokenBufferIndexOutOfBoundsException(java.lang.String m)` Constructs a new TokenBufferIndexOutOfBoundsException with a detailed message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TokenBufferIndexOutOfBoundsException

    public TokenBufferIndexOutOfBoundsException()

  Constructs a new TokenBufferIndexOutOfBoundsException with no message.

### TokenBufferIndexOutOfBoundsException

    public TokenBufferIndexOutOfBoundsException(java.lang.String m)

  Constructs a new TokenBufferIndexOutOfBoundsException with a detailed message.

  Parameters:
    `message` - The detailed message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD